org.apache.ivy.core.cache

## Class CacheDownloadOptions

- java.lang.Object
- - org.apache.ivy.core.cache.CacheDownloadOptions

Direct Known Subclasses:
  CacheMetadataOptions, CacheResourceOptions

    public class CacheDownloadOptions
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CacheDownloadOptions()`

### Method Summary

Methods
`DownloadListener` `getListener()`
`boolean` `isForce()`
`CacheDownloadOptions` `setForce(boolean force)`
`CacheDownloadOptions` `setListener(DownloadListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheDownloadOptions

    public CacheDownloadOptions()

### Method Detail

#### getListener

    public DownloadListener getListener()

#### setListener

    public CacheDownloadOptions setListener(DownloadListener listener)

#### isForce

    public boolean isForce()

#### setForce

    public CacheDownloadOptions setForce(boolean force)